Name:           ccp
Summary:        Program that reads configuration files and upgrades them
Version:        0.4.1
Release:        %mkrel 14
Source0:        http://download.savannah.nongnu.org/releases/%{name}/%{name}-%{version}.tar.bz2
URL:            http://random.zerodogg.org/ccp
Group:          System/Configuration
License:        GPLv2+
BuildArch:      noarch

%description
CCP is a program that reads configuration files and upgrades them.

It takes a oldfile (typically the old configuration file currently in
use) and a newfile (typically the default new configuration  file)  and
optionally a template (a file which tells ccp how the generated
configuration file should look like. It is generated on-the-fly if a template
isn't supplied, so it is usually not needed). CCP first reads all the
configuration options and values in the new file, then in the old file,
then it either generates the template or reads the supplied template
file, finally it merges the files into one - creating a new 
configuration file that has the changes that was made to the old file
but also the new options that is included in the new file.

CCP is completely independent of the program that created the 
configuration  file, and can be used for many different purposes. For
instance it can be used to merge changes between an old  user-edited 
configuration file and a .rpmnew file generated by rpm when a
rpm was upgraded.

CCP currently supports:
key = value configs (--type keyvalue)
and ini configs (--type ini)


%prep
%setup -q
# We want the tests to succeed. A release shouldn't have failing tests
# but better safe than sorry
if ! ./testsuite/ccp-testsuite ; then exit 1;fi

%install
mkdir -vp %{buildroot}%{_bindir}/ %{buildroot}%{_mandir}/man1/ %{buildroot}%{_datadir}/ccp/
install -v -m755 ccp  %{buildroot}%{_bindir}/
install -v -m644 ccp.1 %{buildroot}%{_mandir}/man1/
cp -vr conftypes %{buildroot}%{_datadir}/ccp/

%files 
%doc TODO version AUTHORS COPYING
%{_bindir}/%{name}
%{_mandir}/*/*
%{_datadir}/%{name}


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.4.1-14.mga8
+ Revision: 1490301
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.4.1-13.mga7
+ Revision: 1261831
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.4.1-12.mga6
+ Revision: 940466
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-11.mga5
+ Revision: 746244
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-10.mga5
+ Revision: 678329
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-9.mga4
+ Revision: 521594
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 0.4.1-8.mga3
+ Revision: 391399
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 0.4.1-7.mga3
+ Revision: 347489
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 0.4.1-6.mga2
+ Revision: 199822
- update URL
- update SOURCE0
- clean .spec
+ anssi <anssi>
- fix license tag

* Tue Jan 11 2011 blino <blino> 0.4.1-5.mga1
+ Revision: 5755
- imported package ccp


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-5mdv2011.0
+ Revision: 603816
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-4mdv2010.1
+ Revision: 520018
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-3mdv2010.0
+ Revision: 413220
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.4.1-2mdv2009.1
+ Revision: 350215
- 2009.1 rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.4.1-1mdv2009.0
+ Revision: 170223
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.1-1mdv2008.1
+ Revision: 136288
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 31 2006 Eskild Hustvedt <eskild@mandriva.org> 0.4.1-1mdk
- New version 0.4.1

* Mon Jan 30 2006 Eskild Hustvedt <eskild@mandriva.org> 0.4.0-1mdk
- New version 0.4.0
	o Now supports ini-files

* Sat Jan 21 2006 Eskild Hustvedt <eskild@mandriva.org> 0.3.0-1mdk
- New version 0.3.0
	o Now supports automatic uncommenting of options in config files

* Fri Jan 13 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.3-1mdk
- New version 0.2.3
	- Fixes the problem of invalid orphans in php.ini

* Thu Jan 12 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.2-1mdk
- New version 0.2.2

* Wed Jan 11 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.1-1mdk
- New version 0.2.1
- Minor changes to the summary

* Thu Jan 05 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2-1mdk
- New version 0.2

* Tue Jan 03 2006 Eskild Hustvedt <eskild@mandrake.org> 0.1-1mdk
- Initial Mandriva Linux package

